package com.dxhy.auth.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.auth.entity.ClientEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * @author jiaohongyang
 */
public interface ClientBizService extends IService<ClientEntity> {
    /**
     * 根据id获取客户端信息
     * 
     * @param id
     *            id
     * @return 客户端信息
     */
    List<ClientEntity> getClientServices(Long id);

    /**
     * 保存鉴权信息
     * 
     * @param params
     *            保存信息
     */
    void modifyClientServices(Map<String, Object> params);

    /**
     * 查询鉴权信息
     * 
     * @param params
     *            查询条件
     * @return 返回信息
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存客户端信息
     * 
     * @param clientEntity
     *            客户端信息
     */
    void saveClient(ClientEntity clientEntity);

    /**
     * 修改客户端信息
     * 
     * @param clientEntity
     *            客户端信息
     */
    void updateClient(ClientEntity clientEntity);

    /**
     * 根据编码查询客户端信息
     * 
     * @param clientCode
     *            编码
     * @return 客户端信息
     */
    ClientEntity queryCleint(String clientCode);

    /**
     * 根据id 删除客户端信息
     * 
     * @param id
     *            id
     */
    void deleteClient(Long id);

    /**
     * 根据id查询客户端信息
     * 
     * @param id
     *            id
     * @return 客户端信息
     */
    ClientEntity queryClientEntity(Long id);
}
